Bug 45774 - Resizing .emf picture via relative option distorts the image size.
Summary: Resizing .emf picture via relative option distorts the image size.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:emf
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2012-02-08 05:52 UTC by Poustre Lakos
Modified: 2016-12-07 14:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshots (335.31 KB, application/x-gzip)
2012-02-08 07:50 UTC, Poustre Lakos
Details
EMF image (36.40 KB, image/x-emf)
2012-05-29 03:26 UTC, Poustre Lakos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Poustre Lakos 2012-02-08 05:52:32 UTC
Problem description: 
When resizing an image by choosing the percentage option for a SECOND time (the first resize works fine), the image gets distorted.

Steps to reproduce:
1. Right click on image, choose picture and resize by checking "relative" and "keep ratio".
2. The image is resized correctly. Now resize again.
3. Witness the mess.

Current behavior:
When resizing a second time, the image ratio and size go all wrong.

Expected behavior:

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:10.0) Gecko/20100101 Firefox/10.0
Comment 1 Poustre Lakos 2012-02-08 07:50:50 UTC
Created attachment 56753 [details]
screenshots
Comment 2 Poustre Lakos 2012-02-08 07:51:44 UTC
I am testing this with .png images and it does not occur. The bug occurs with .emf images. Resizing by changing inches (i.e not using the relative option) works fine as well.

I have attached three screenshots, one is the initial size (at 61%), second is the first resize (to 76%), and the third is the messed up second resize (to 81%).
Comment 3 sasha.libreoffice 2012-05-16 02:34:57 UTC
Thanks for bugreport
Please, attach emf picture itself
Comment 4 Poustre Lakos 2012-05-29 03:26:51 UTC
Created attachment 62197 [details]
EMF image
Comment 5 Poustre Lakos 2012-05-29 03:27:16 UTC
I submitted the image used for these screenshots.
Comment 6 sasha.libreoffice 2012-05-29 03:53:49 UTC
Thanks for attachment
slightly reproducible in 3.3.4 and 3.5.3 on Fedora 64 bit
ratio in percents indeed changes slightly each time we resize, but may be it is because of rounding number in percents. Especially seen when we change width to 1% and second time to 100%. But with png the same.
I right understand problem?
Comment 7 Valek Filippov 2012-07-08 08:53:04 UTC
Reproducible in 3.6beta2.
Offset from expected values seems to be above "rounding" error and overall "relative" makes weird calculations.
Comment 8 QA Administrators 2015-04-19 03:21:14 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-06-15 19:47:36 UTC
(In reply to sasha.libreoffice from comment #6)
> Thanks for attachment
> slightly reproducible in 3.3.4 and 3.5.3 on Fedora 64 bit
> ratio in percents indeed changes slightly each time we resize, but may be it
> is because of rounding number in percents. Especially seen when we change
> width to 1% and second time to 100%. But with png the same.
> I right understand problem?

Yep, repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 01a189abcd9a4ca472a74b3b2c000c9338fc2c91
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-14_07:46:28
Locale: fi-FI (fi_FI)
Comment 10 QA Administrators 2016-09-20 10:02:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920